using System;
using System.Reflection;

internal sealed class Delegate837 : MulticastDelegate
{
	public extern bool Invoke(MethodBase methodBase_0, MethodBase methodBase_1);

	public static bool smethod_0(MethodBase methodBase_0, MethodBase methodBase_1, Delegate837 delegate837_1)
	{
		return delegate837_1(methodBase_0, methodBase_1);
	}

	public extern Delegate837(object object_0, IntPtr intptr_0);

	static Delegate837()
	{
		Class10.smethod_13(typeof(Delegate837).TypeHandle);
	}

	internal static Delegate837 delegate837_0;
}
